# $Revision: 1.47.2.7.2.5 $, $Date: 2003/09/10 13:36:36 $
# Conditional build:
# _without_pgsql	build without PostgreSQL support
# _without_mysql	build without MySQL support
# _without_snmp		without SNMP support
#
Summary:	Network intrusion detection system
Summary(pl):	System wykrywania intruzw w sieciach
Summary(pt_BR):	Ferramenta de deteco de intrusos
Summary(ru):	Snort -      
Summary(uk):	Snort -      
Name:		snort
Version:	2.0.1
Release:	2
License:	GPL
Vendor:		Marty Roesch <roesch@sourcefire.com>
Group:		Networking
Source0:	http://www.snort.org/dl/%{name}-%{version}.tar.gz
# Source0-md5:	ab5bdd0cab96fe521d11d2c6d804518f
Source1:	http://www.snort.org/dl/signatures/%{name}rules-stable.tar.gz
# Source1-md5:	b7f033340b8fec21a1dfd7f86badac54
Source2:	%{name}.init
Source3:	%{name}.logrotate
Source4:	%{name}.conf
URL:		http://www.snort.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
%{!?_without_mysql:BuildRequires:	mysql-devel}
%{!?_without_pgsql:BuildRequires:	postgresql-devel}
BuildRequires:	openssl-devel >= 0.9.6j
%{!?_without_snmp:BuildRequires:	ucd-snmp-devel >= 4.2.6}
BuildRequires:	zlib-devel
%{!?_without_mysql:Provides:	snort(mysql) = %{version}}
%{!?_without_pgsql:Provides:	snort(pgsql) = %{version}}
PreReq:		rc-scripts >= 0.2.0
Requires(pre):	/usr/bin/getgid
Requires(pre):	/bin/id
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/userdel
Requires(postun):	/usr/sbin/groupdel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/snort
%define		_bindir		%{_sbindir}

%description
Snort is an open source network intrusion detection system, capable of
performing real-time traffic analysis and packet logging on IP
networks. It can perform protocol analysis and content
searching/matching in order to detect a variety of attacks and probes,
such as buffer overflows, stealth port scans, CGI attacks, SMB probes,
OS fingerprinting attempts, and much more. Snort uses a flexible rules
language to describe traffic that it should collect or pass, as well
as a detection engine that utilizes a modular plugin architecture.
Snort has a real- time alerting capability as well, incorporating
alerting mechanisms for syslog, user specified files, a UNIX socket,
or WinPopup messages to Windows clients using Samba's smbclient.

%description -l pl
Snort to bazujcy na open source NIDS (network intrusion detection
systems) wykonujcy w czasie rzeczywistym analiz ruchu oraz logowanie
pakietw w sieciach IP. Jego moliwoci to analiza protokou oraz
zawartoci w poszukiwaniu rnego rodzaju atakw lub prb takich jak
przepenienia bufora, skanowanie portw typu stealth, ataki CGI,
prbkowanie SMB, OS fingerprinting i duo wicej. Snort uywa
elastycznego jzyka reguek do opisu ruchu, ktry naley
przeanalizowa jak rwnie silnika wykrywajcego, wykorzystujcego
moduow architektur. Snort umoliwia alarmowanie w czasie
rzeczywistym poprzez sysloga, osobny plik lub jako wiadomo WinPopup
poprzez klienta Samby: smbclient.

%description -l pt_BR
Snort  um sniffer baseado em libpcap que pode ser usado como um
pequeno sistema de deteco de intrusos. Tem como caracterstica o
registro de pacotes baseado em regras e tambm pode executar uma
anlise do protocolo, pesquisa de padres e detectar uma variedade de
assinaturas de ataques, como estouros de buffer, varreduras "stealth"
de portas, ataques CGI, pesquisas SMB, tentativas de descobrir o
sistema operacional e muito mais. Possui um sistema de alerta em tempo
real, com alertas enviados para o syslog, um arquivo de alertas em
separado ou como uma mensagem Winpopup.

%description -l ru
Snort -   ,     
    . Snort 
    ,   
,    .    
   "",     
" ",   , CGI , SMB
,       . Snort 
     ,   
syslog,     WinPopup   smbclient.

%description -l uk
Snort -  Φ Ԧ,     
    . Snort Цդ 
Ԧ  צ ,   ̦ ̦,  
ͦԦ Ԧ.       
"צ",      " ",
  Ԧ, CGI , SMB צ,  
    . Snort    Ħ  
Ӧ,  צ  syslog,     WinPopup
צ  smbclient.

%prep
%setup -q -a1 

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-smbalerts \
	--enable-flexresp \
	--with%{?_without_snmp:out}-snmp \
	--without-odbc \
	--with%{?_without_pgsql:out}-postgresql \
	--with%{?_without_mysql:out}-mysql

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,%{name},cron.daily,logrotate.d} \
	$RPM_BUILD_ROOT%{_var}/log/{%{name},archiv/%{name}} \
	$RPM_BUILD_ROOT%{_datadir}/mibs/site \
	$RPM_BUILD_ROOT%{_sysconfdir}/rules

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install rules/*.config	$RPM_BUILD_ROOT%{_sysconfdir}
install rules/*.rules	$RPM_BUILD_ROOT%{_sysconfdir}/rules
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE3}	$RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install %{SOURCE4}	$RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -z "`getgid %{name}`" ]; then
	/usr/sbin/groupadd -g 46 -r snort 2> /dev/null || true
fi

if [ -z "`id -u %{name} 2>/dev/null`" ]; then
	/usr/sbin/useradd -u 46 -g %{name} -M -r -d %{_var}/log/%{name} -s /bin/false \
		-c "SNORT" snort 2> /dev/null || true
fi

%post
if [ "$1" = "1" ] ; then
	/sbin/chkconfig --add snort
	touch /var/log/%{name} && chown snort.snort %{_var}/log/%{name}
fi
if [ -f /var/lock/subsys/snort ]; then
	/etc/rc.d/init.d/snort restart 1>&2
else
	echo "Run \"/etc/rc.d/init.d/snort start\" to start Snort daemon."
fi

%preun
if [ "$1" = "0" ] ; then
	if [ -f /var/lock/subsys/snort ]; then
		/etc/rc.d/init.d/snort stop 1>&2
	fi
	/sbin/chkconfig --del snort
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/sbin/userdel snort 2> /dev/null || true
	/usr/sbin/groupdel snort 2> /dev/null || true
fi

%files
%defattr(644,root,root,755)
%doc doc/{AUTHORS,BUGS,CREDITS,FAQ,NEWS,README*,RULES*,TODO,USAGE}
%doc contrib/create* doc/*.pdf
%attr(755,root,root) %{_sbindir}/*
%attr(770,root,snort) %dir %{_var}/log/%{name}
%attr(770,root,snort) %dir %{_var}/log/archiv/%{name}
%attr(750,root,snort) %dir %{_sysconfdir}
%attr(640,root,snort) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) /etc/logrotate.d/*
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: snort.spec,v $
Revision 1.47.2.7.2.5  2003/09/10 13:36:36  ankry
- merge configuration from HEAD, update init, use macros
- rel. 3 to rebuild with new mysql

Revision 1.47.2.7.2.4  2003/08/10 20:18:57  misi3k
- md5

Revision 1.47.2.7.2.3  2003/08/10 20:15:07  misi3k
- updated to 2.0.1 (STBR)

Revision 1.47.2.7.2.2  2003/07/11 12:04:13  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.47.2.7.2.1  2003/05/04 19:10:43  misi3k
- rel 3
- snort rules cosmetics

Revision 1.47.2.7  2003/04/16 11:46:45  misi3k
- s/net/ucd/

Revision 1.47.2.6  2003/04/15 19:52:25  misi3k
- rel 2 STBR
- BR: openssl-0.9.6j
- %%install fix

Revision 1.47.2.5  2003/04/15 19:45:57  misi3k
- secuirty update to 2.0.0
BUGz:
heap overflow in this module
resulting from sequence number
calculations that overflow a
32 bit integer variable

Revision 1.47.2.4  2003/03/30 17:29:57  misi3k
- updated to 2.0.0rc2

Revision 1.47.2.2  2003/03/04 21:54:01  misi3k
- rebuild against openssl 0.9.6i
- rel 2

Revision 1.47.2.1  2003/03/04 08:44:00  misi3k
- updated to 1.9.1 (fix vulnerability in the RPC preprocessor)

Revision 1.47  2002/11/14 09:31:19  zagrodzki
- move snort.conf to /etc
- rel 2

Revision 1.46  2002/10/26 19:28:22  misiek
- include snort.conf

Revision 1.45  2002/10/26 19:02:14  misiek
- updated to 1.9.0

Revision 1.44  2002/10/19 12:53:50  kloczek
- added dup_AC_OUTPUT patch: remoed duplicated entris from AC_OUTPUT() in configure.in.

Revision 1.43  2002/10/19 11:18:10  kloczek
- typo.

Revision 1.42  2002/10/19 10:59:18  kloczek
- reles 3: rebuild against ucd-snmp 4.2.6.

Revision 1.41  2002/10/09 13:14:47  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40  2002/05/21 23:14:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/05/19 01:23:34  misiek
- enabled mysql driver (by default, too); rel 2

Revision 1.38  2002/05/13 10:46:52  kloczek
- updated to 1.8.6 (security fix: fixed DoS; look at
  http://online.securityfocus.com/bid/3849 for details).

Revision 1.37  2002/05/13 10:18:47  kloczek
- release 4: rebuild against ucd-snmp-deve 4.2.5.

Revision 1.36  2002/05/09 09:59:28  kloczek
- release 3: fix group on %config fiels (change group to snort) for allow
  snort this files.

Revision 1.35  2002/03/24 23:28:25  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.34  2002/02/23 04:41:59  kloczek
- adapterized.

Revision 1.33  2002/02/22 23:29:44  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.32  2002/01/18 02:15:01  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.31  2001/12/15 16:50:10  kloczek
- release 2: rebuild against ucd-snmp 4.2.3.

Revision 1.30  2001/12/06 14:12:19  kloczek
- updaed to 1.8.3 (many fixes and new rules),
- updated Source url.

Revision 1.29  2001/12/06 13:31:02  kloczek
- release 7: added missing regenerate am files.

Revision 1.28  2001/11/07 01:00:31  kloczek
- release 6: rebuild against ucd-snmp 4.2.2.

Revision 1.27  2001/10/11 09:12:47  qboosh
- BuildRequires: automake

Revision 1.26  2001/09/25 13:18:42  qboosh
- release 5: Prereq: /sbin/chkconfig is back (not implied by rc-scripts)

Revision 1.25  2001/09/24 09:29:46  kloczek
- release 4: fixed logrotate file (was incorrect path to logs
  s#/var/log/snort/snort#/var/log/snort/snort#)

Revision 1.24  2001/09/15 23:27:10  kloczek
- removed "Prereq: /sbin/chkconfig".

Revision 1.23  2001/09/15 20:02:52  qboosh
- added _without_snmp bcond
- removed sed from BuildRequires - it's in rpm-build Requires

Revision 1.22  2001/09/14 09:19:24  qboosh
- removed English "es" translations
- Provides: snort(mysql)/snort(pgsql) depending on bconds
- release 3

Revision 1.21  2001/09/11 12:11:16  misiek
added zlib-devel to buildrequires

Revision 1.20  2001/09/04 00:53:17  kloczek
- release 2.

Revision 1.19  2001/09/03 23:18:51  misiek
- mysql/pgsql bconds

Revision 1.18  2001/08/31 20:20:25  kloczek
- merge translations from CNV.

Revision 1.17  2001/08/31 19:41:20  misiek
- updated to 1.8.1 (release)

Revision 1.16  2001/07/26 05:42:24  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.14  2001/05/12 00:52:07  kloczek
- reelase 3,
- rebuild against openssl 0.9.6a,
- added missing BuildRequires rule for openssl-devel.

Revision 1.13  2001/04/09 08:26:29  mkochano
- Release 2.
- Rebuilt with corrected logrotate script (/usr/bin/killall -> /bin/killall).

Revision 1.12  2001/02/15 22:51:06  kloczek
- use autoconf mapped macroc in propr way,
- regenerate all am/ac files isn't neccessary,
- cosmetics.

Revision 1.11  2001/02/14 20:45:04  bonkey
- BuildReq: automake, autoconf

Revision 1.10  2001/02/14 20:37:20  bonkey
- upgrade to 1.7

Revision 1.9  2001/02/01 16:27:34  kloczek
- Requires for rc-scripts changed to Prereq.

Revision 1.8  2000/11/25 11:35:05  misiek
source4 -> source5

Revision 1.7  2000/11/25 11:34:25  misiek
small cleanups

Revision 1.6  2000/11/04 20:08:20  misiek
updated

* Fri Nov  3 2000 agaran
- i changed some..

* Tue Jul 25 2000 Wim Vandersmissen <wim@bofh.st>
- Added some checks to find out if we're upgrading or removing the package

* Sat Jul 22 2000 Wim Vandersmissen <wim@bofh.st>
- Updated to version 1.6.3
- Fixed the user/group stuff (moved to %post)
- Added userdel/groupdel to %postun
- Automagically adds the right IP, nameservers to /etc/snort/rules.base

* Sat Jul 08 2000 Dave Wreski <dave@linuxsecurity.com>
- Updated to version 1.6.2
- Removed references to xntpd
- Fixed minor problems with snortd init script

* Fri Jul 07 2000 Dave Wreski <dave@linuxsecurity.com>
- Updated to version 1.6.1
- Added user/group snort

* Sat Jun 10 2000 Dave Wreski <dave@linuxsecurity.com>
- Added snort init.d script (snortd)
- Added Dave Dittrich's snort rules header file (ruiles.base)
- Added Dave Dittrich's wget rules fetch script (check-snort)
- Fixed permissions on /var/log/snort
- Created /var/log/snort/archive for archival of snort logs
- Added post/preun to add/remove snortd to/from rc?.d directories
- Defined configuration files as %config

* Tue Mar 28 2000 William Stearns <wstearns@pobox.com>
- Quick update to 1.6.
- Sanity checks before doing rm-rf in install and clean

* Fri Dec 10 1999 Henri Gomez <gomez@slib.fr>
- 1.5-0 Initial RPM release
